<?php
global $_podiumlogo_url;
///////////////////////////////////////////////////////////////
// File:      FAST 3.2 plugin
// Date:      31.03.2009
// Author:    Gilles Masson
////////////////////////////////////////////////////////////////
//
// show a logo/image (.png !) during the podium
//
// configure $_podiumlogo_url below

// set the png url
$_podiumlogo_url = 'http://www.maniacup.net/logos/bay.png';



if($_podiumlogo_url!=''){ // activate only if image url is provided
	registerPlugin('podiumlogo',99,1.0);
}

//--------------------------------------------------------------
// Init :
//--------------------------------------------------------------
function podiumlogoInit($event){
	global $_debug,$_podiumlogo_url,$_podiumlogo_xml;

	// get logo size (pixels), if failed then suppose it as square
	$img = getimagesize($_podiumlogo_url);
	if(isset($img['mime']) && $img['mime']=='image/png'){
		$_podiumlogo_pxwidth = $img[0];
		$_podiumlogo_pxheight = $img[1];
	}else{
		$_podiumlogo_pxwidth = 100;
		$_podiumlogo_pxheight = 100;
	}

	// Build logo manialink
	// To change size and position, modify $height and posn="0 37 2" values
	$height = '18';
	$width = $height * $_podiumlogo_pxwidth / $_podiumlogo_pxheight;
	$_podiumlogo_xml = sprintf('<quad sizen="%0.2F %0.2F" posn="0 37 2" halign="center" valign="center" image="%s"/>',
														 $width,$height,$_podiumlogo_url);
}


//--------------------------------------------------------------
// if player connect while podium : show logo
function podiumlogoPlayerConnect($event,$login,$pinfo,$pdetailedinfo,$pranking){
	global $_podiumlogo_xml,$_StatusCode;
	if($_StatusCode >= 5)
		manialinksShow($login,'podiumlogo.logo',$_podiumlogo_xml);
}


//--------------------------------------------------------------
// if player activate manialinks while podium : show logo
function podiumlogoPlayerShowML($event,$login,$ShowML){
	global $_podiumlogo_xml,$_StatusCode;
	if($ShowML && $_StatusCode >= 5)
		manialinksShow($login,'podiumlogo.logo',$_podiumlogo_xml);
}


//--------------------------------------------------------------
// at end of challenge : show logo
function podiumlogoEndRace($event,$Ranking,$ChallengeInfo,$GameInfos,$continuecup){
	global $_podiumlogo_xml;
	manialinksShow(true,'podiumlogo.logo',$_podiumlogo_xml);
}


//--------------------------------------------------------------
// at beginning of challenge : hide logo
function podiumlogoBeginChallenge($event,$ChallengeInfo,$GameInfos){
	manialinksHide(true,'podiumlogo.logo');
}

?>
